Functions
FLAG_Management
Peripheral Driver » LL Driver » DMA » Functions
Collaboration diagram for FLAG_Management:

## Functions
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gtfr (dma_regs_t *DMAx)
| Get DMA Module global transfer complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gblk (dma_regs_t *DMAx)
| Get DMA Module global block complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gsrct (dma_regs_t *DMAx)
| Get DMA Module global source transaction complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gdstt (dma_regs_t *DMAx)
| Get DMA Module global destination transaction complete interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_gerr (dma_regs_t *DMAx)
| Get DMA Module global error interrupt status. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rtfr (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntTfr Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rblk (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntBlock Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rsrct (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntSrcTran Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rdstt (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntDstTran Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_rerr (dma_regs_t *DMAx, uint32_t channel)
| Indicate the Raw Status of IntErr Interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_tfr7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 transfer complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_blk7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 block complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_srct7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 source transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_dstt7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 destination transaction complete flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err (dma_regs_t *DMAx, uint32_t channel)
| Indicate the status of DMA Channel error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err0 (dma_regs_t *DMAx)
| Indicate the status of Channel 0 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err1 (dma_regs_t *DMAx)
| Indicate the status of Channel 1 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err2 (dma_regs_t *DMAx)
| Indicate the status of Channel 2 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err3 (dma_regs_t *DMAx)
| Indicate the status of Channel 3 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err4 (dma_regs_t *DMAx)
| Indicate the status of Channel 4 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err5 (dma_regs_t *DMAx)
| Indicate the status of Channel 5 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err6 (dma_regs_t *DMAx)
| Indicate the status of Channel 6 error flag. More...
__STATIC_INLINE uint32_t | ll_dma_is_active_flag_err7 (dma_regs_t *DMAx)
| Indicate the status of Channel 7 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr0 (dma_regs_t *DMAx)
| Clear Channel 0 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr1 (dma_regs_t *DMAx)
| Clear Channel 1 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr2 (dma_regs_t *DMAx)
| Clear Channel 2 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr3 (dma_regs_t *DMAx)
| Clear Channel 3 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr4 (dma_regs_t *DMAx)
| Clear Channel 4 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr5 (dma_regs_t *DMAx)
| Clear Channel 5 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr6 (dma_regs_t *DMAx)
| Clear Channel 6 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_tfr7 (dma_regs_t *DMAx)
| Clear Channel 7 transfer complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel block complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk0 (dma_regs_t *DMAx)
| Clear Channel 0 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk1 (dma_regs_t *DMAx)
| Clear Channel 1 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk2 (dma_regs_t *DMAx)
| Clear Channel 2 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk3 (dma_regs_t *DMAx)
| Clear Channel 3 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk4 (dma_regs_t *DMAx)
| Clear Channel 4 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk5 (dma_regs_t *DMAx)
| Clear Channel 5 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk6 (dma_regs_t *DMAx)
| Clear Channel 6 Block Cmplete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_blk7 (dma_regs_t *DMAx)
| Clear Channel 7 Block Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct0 (dma_regs_t *DMAx)
| Clear Channel 0 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct1 (dma_regs_t *DMAx)
| Clear Channel 1 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct2 (dma_regs_t *DMAx)
| Clear Channel 2 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct3 (dma_regs_t *DMAx)
| Clear Channel 3 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct4 (dma_regs_t *DMAx)
| Clear Channel 4 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct5 (dma_regs_t *DMAx)
| Clear Channel 5 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct6 (dma_regs_t *DMAx)
| Clear Channel 6 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_srct7 (dma_regs_t *DMAx)
| Clear Channel 7 source transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt0 (dma_regs_t *DMAx)
| Clear Channel 0 destination transaction Complete status. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt1 (dma_regs_t *DMAx)
| Clear Channel 1 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt2 (dma_regs_t *DMAx)
| Clear Channel 2 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt3 (dma_regs_t *DMAx)
| Clear Channel 3 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt4 (dma_regs_t *DMAx)
| Clear Channel 4 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt5 (dma_regs_t *DMAx)
| Clear Channel 5 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt6 (dma_regs_t *DMAx)
| Clear Channel 6 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_dstt7 (dma_regs_t *DMAx)
| Clear Channel 7 destination transaction Complete flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err (dma_regs_t *DMAx, uint32_t channel)
| Clear DMA Channel error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err0 (dma_regs_t *DMAx)
| Clear Channel 0 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err1 (dma_regs_t *DMAx)
| Clear Channel 1 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err2 (dma_regs_t *DMAx)
| Clear Channel 2 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err3 (dma_regs_t *DMAx)
| Clear Channel 3 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err4 (dma_regs_t *DMAx)
| Clear Channel 4 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err5 (dma_regs_t *DMAx)
| Clear Channel 5 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err6 (dma_regs_t *DMAx)
| Clear Channel 6 error flag. More...
__STATIC_INLINE void | ll_dma_clear_flag_err7 (dma_regs_t *DMAx)
| Clear Channel 7 error flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_dma_clear_flag_blk()

__STATIC_INLINE void ll_dma_clear_flag_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 3381 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk0()

__STATIC_INLINE void ll_dma_clear_flag_blk0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 Block Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3400 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk1()

__STATIC_INLINE void ll_dma_clear_flag_blk1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 Block Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3419 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk2()

__STATIC_INLINE void ll_dma_clear_flag_blk2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 Block Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3438 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk3()

__STATIC_INLINE void ll_dma_clear_flag_blk3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 Block Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3457 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk4()

__STATIC_INLINE void ll_dma_clear_flag_blk4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 Block Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3476 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk5()

__STATIC_INLINE void ll_dma_clear_flag_blk5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 Block Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3495 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk6()

__STATIC_INLINE void ll_dma_clear_flag_blk6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 Block Cmplete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3514 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_blk7()

__STATIC_INLINE void ll_dma_clear_flag_blk7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 Block Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_BLK | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3533 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt()

__STATIC_INLINE void ll_dma_clear_flag_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 3741 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt0()

__STATIC_INLINE void ll_dma_clear_flag_dstt0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 destination transaction Complete status.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3760 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt1()

__STATIC_INLINE void ll_dma_clear_flag_dstt1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3779 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt2()

__STATIC_INLINE void ll_dma_clear_flag_dstt2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3798 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt3()

__STATIC_INLINE void ll_dma_clear_flag_dstt3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3817 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt4()

__STATIC_INLINE void ll_dma_clear_flag_dstt4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3836 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt5()

__STATIC_INLINE void ll_dma_clear_flag_dstt5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3855 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt6()

__STATIC_INLINE void ll_dma_clear_flag_dstt6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3874 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_dstt7()

__STATIC_INLINE void ll_dma_clear_flag_dstt7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 destination transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_DST_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3893 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err()

__STATIC_INLINE void ll_dma_clear_flag_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 3921 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err0()

__STATIC_INLINE void ll_dma_clear_flag_err0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3940 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err1()

__STATIC_INLINE void ll_dma_clear_flag_err1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3959 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err2()

__STATIC_INLINE void ll_dma_clear_flag_err2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3978 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err3()

__STATIC_INLINE void ll_dma_clear_flag_err3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3997 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err4()

__STATIC_INLINE void ll_dma_clear_flag_err4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4016 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err5()

__STATIC_INLINE void ll_dma_clear_flag_err5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4035 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err6()

__STATIC_INLINE void ll_dma_clear_flag_err6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4054 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_err7()

__STATIC_INLINE void ll_dma_clear_flag_err7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_ERR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 4073 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct()

__STATIC_INLINE void ll_dma_clear_flag_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 3561 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct0()

__STATIC_INLINE void ll_dma_clear_flag_srct0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3580 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct1()

__STATIC_INLINE void ll_dma_clear_flag_srct1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3599 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct2()

__STATIC_INLINE void ll_dma_clear_flag_srct2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3618 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct3()

__STATIC_INLINE void ll_dma_clear_flag_srct3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3637 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct4()

__STATIC_INLINE void ll_dma_clear_flag_srct4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3656 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct5()

__STATIC_INLINE void ll_dma_clear_flag_srct5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3675 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct6()

__STATIC_INLINE void ll_dma_clear_flag_srct6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3694 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_srct7()

__STATIC_INLINE void ll_dma_clear_flag_srct7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 source transaction Complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_SRC_TRN | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3713 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr()

__STATIC_INLINE void ll_dma_clear_flag_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Clear DMA Channel transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None. |

Definition at line 3201 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr0()

__STATIC_INLINE void ll_dma_clear_flag_tfr0 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 0 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3220 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr1()

__STATIC_INLINE void ll_dma_clear_flag_tfr1 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 1 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3239 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr2()

__STATIC_INLINE void ll_dma_clear_flag_tfr2 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 2 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3258 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr3()

__STATIC_INLINE void ll_dma_clear_flag_tfr3 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 3 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3277 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr4()

__STATIC_INLINE void ll_dma_clear_flag_tfr4 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 4 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3296 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr5()

__STATIC_INLINE void ll_dma_clear_flag_tfr5 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 5 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3315 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr6()

__STATIC_INLINE void ll_dma_clear_flag_tfr6 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 6 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3334 of file gr55xx_ll_dma.h.

## ◆ ll_dma_clear_flag_tfr7()

__STATIC_INLINE void ll_dma_clear_flag_tfr7 | ( | dma_regs_t * | DMAx | ) |

Clear Channel 7 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CLR_TFR | CLEAR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  None. |

Definition at line 3353 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2481 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2500 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2519 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2538 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2557 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2576 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2595 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2614 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_blk7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_blk7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 block complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_BLK | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2633 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2841 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2860 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2879 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2898 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2917 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2936 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2955 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2974 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_dstt7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_dstt7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 destination transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_DST_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2993 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 3021 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3040 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3059 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3078 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3097 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3116 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3135 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3154 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_err7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_err7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 error flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_ERR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 3173 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gblk()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gblk | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global block complete interrupt status.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STATUS_INT | BLOCK | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2076 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gdstt()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gdstt | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global destination transaction complete interrupt status.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STATUS_INT | DSTT | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2114 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gerr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gerr | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global error interrupt status.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STATUS_INT | ERR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2133 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gsrct()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gsrct | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global source transaction complete interrupt status.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STATUS_INT | SRCT | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2095 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_gtfr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_gtfr | ( | dma_regs_t * | DMAx | ) |

Get DMA Module global transfer complete interrupt status.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STATUS_INT | TFR | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2057 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rblk()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rblk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntBlock Interrupt flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | RAW_BLK | RAW | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2189 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rdstt()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rdstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntDstTran Interrupt flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | RAW_DST_TRN | RAW | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2245 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rerr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rerr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntErr Interrupt flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | RAW_ERR | RAW | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2273 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rsrct()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rsrct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntSrcTran Interrupt flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | RAW_SRC_TRN | RAW | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2217 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_rtfr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_rtfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the Raw Status of IntTfr Interrupt flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | RAW_TFR | RAW | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2161 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2661 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2680 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2699 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2718 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2737 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2756 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2775 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2794 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_srct7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_srct7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 source transaction complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_SRC_TRN | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2813 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Indicate the status of DMA Channel transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2301 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr0()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr0 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 0 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2320 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr1()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr1 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 1 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2339 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr2()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr2 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 2 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2358 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr3()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr3 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 3 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2377 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr4()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr4 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 4 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2396 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr5()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr5 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 5 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2415 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr6()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr6 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 6 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2434 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_active_flag_tfr7()

__STATIC_INLINE uint32_t ll_dma_is_active_flag_tfr7 | ( | dma_regs_t * | DMAx | ) |

Indicate the status of Channel 7 transfer complete flag.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | STAT_TFR | STATUS | +-------------------—+--------------------------------—+ \endrst

Parameters

  DMAx | DMAx instance

Return values

  State | of bit (1 or 0).

Definition at line 2453 of file gr55xx_ll_dma.h.